> ## Documentation Index > Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt > Use this file to discover all available pages before exploring further. # Create an SC Detail > ## Overview This endpoint is utilized to create and manage the Schedule of Values (SOVs) for Subcontracts within CMiC. The SOVs define the total financial value of a subcontract broken down by specific tasks or line items. ## Notes This functionality integrates with the Request for Payment (RFP), Subcontract Management and Release of Retainage features. For example, the Request for Payment interface enables users to generate Vouchers against these SOVs, directly linking financial management to subcontract payment management. ## UI Navigation Subcontract Management > Contracts > Enter Subcontract/Change Order ## Reference Article [https://docs.cmicglobal.com/portal/Content/E_Reference_Material/CMiC_Field/Reference/Budget___Cost_Management/Subcontract_Schedule_of_Values.htm](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/CMiC_Field/Reference/Budget___Cost_Management/Subcontract_Schedule_of_Values.htm) [https://docs.cmicglobal.com/portal/Content/E_Reference_Material/SC_-_Subcontract_Management/Reference/Contracts/SOV_Tab.htm](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/SC_-_Subcontract_Management/Reference/Contracts/SOV_Tab.htm) ## Commonly Used Body Parameters | CMiC UI Fieldname | Object | Name | Description | Type | Data Length | Example | Required | | --- | --- | --- | --- | --- | --- | --- | --- | | Cat. - Category Code | scsched | ScschCatCode | Enter the category code for the cost element being entered in this line. The category entered must have been previously set up in the Job Costing application and associated with the cost code entered in the Cost Code field. | string | 16 | S | Yes | | Change Code | scsched | ScschChgCode | Indicates whether the line item is part of a subcontract change order. Must match SCMST_CHG_CODE | string | 6 | 000 | Yes | | Company Code | scsched | ScschCompCode | Identifies the internal company responsible for managing the subcontrac. Must be a valid CMiC Company. | string | 8 | ZZ | Yes | | Contract Code | scsched | ScschContCode | Associates the SOV line to a specific subcontract or subcontract change order within CMiC. Must match SCMST_CONT_CODE. | string | 20 | 03202023009 | Yes | | Job Code | scsched | ScschJobCode | This is the specific Job Code that the subcontract line applies to. Must be either the SCMST_JOB_CODE or a sub-job | string | 10 | ADFJOB01 | Yes | | Task Code | scsched | ScschTaskCode | A user defined alphanumeric identifier. Enter the task code associated with Schedule of Values line item. | string | 16 | TASK1 | Yes | | Vendor Code | scsched | ScschVenCode | Represents the subcontractor vendor associated with the SOV line item. Must match SCMST_VEN_CODE. | string | 8 | JEWELS | Yes | | Subcontract Item Master Job Code | scsched | ScschSiMastJobCode | References the job code for subcontract items, if applicable. Must be either the SCMST_JOB_CODE or a sub-job | string | 10 | BALMORAL01 | No | | Phase Code | scsched | ScschPhsCode | Associates the SOV line with a specific cost code (phase) of the job or project. Must be a valid segment for the job structure. | string | 16 | 0110 | No | | Weight Measure (W/M) Code | scsched | ScschWmCode | Specifies the weight measure for the amount of the SOV line. For example, cubic yards, dollars, or hours. Weight Measure, must be previously defined in CmiC. | string | 2 | | No | | Amount | scsched | ScschAmt | Represents the dollar value to date of the contract line. Enter the amount to complete the task (before VAT taxes). The total Subcontract amount will be the total amounts entered for each task. | number | 18 | 5074.6 | No | ## Other (Optional) Body Parameters | CMiC UI Fieldname | Object | Name | Description | Type | Data Length | Example | Required | | --- | --- | --- | --- | --- | --- | --- | --- | | Expense Code (Prepaid Insurance) | scsched | ScschApexpCode | If the Prepaid Insurance/Expense feature is being used and this subcontract has prepaid insurance, then enter/select the expense code from the LOV. If entering an expense code, make sure that the Ret% (Retainage Percentage) field is set to zero, as prepaid insurance cannot have retainage applied to it.

For details about the Prepaid Insurance/Expense feature, please refer to [Prepaid Insurance (Contractor Controlled Insurance Program)](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/SC_-_Subcontract_Management/Reference/Setup/Prepaid_Insurance_Contractor.htm). | string | 10 | AP001 | No | | JB Bill Code | scsched | ScschBillCode | Used for Job Billing or referencing specific bill item related to the SOV line. For details about the functionality for which this field is relevant, please refer to [Create Separate Invoices for Each Customer on Single JB Contract](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/JB_-_Job_Billing/How_To/Create_Separate_Invoices_for.htm) and [Allow SC Request For Payment Creation From Billing Invoice](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/JB_-_Job_Billing/How_To/JB_Allow_SC_RFP_Creation_From_Billing_Invoice.htm). | string | 50 | BILL01 | No | | Completed Amount | scsched | ScschComplAmt | Indicates the total amount certified or completed to date for this SOV line item. | number | 18 | 1000 | No | | Completed Percentage | scsched | ScschComplPct | Shows the percentage of work completed for this SOV line item. | number | 7 | 0.1 | No | | Completed Quantity | scsched | ScschComplQty | Represents the quantity of work completed to date for this SOV line item. | number | 16 | 100 | No | | Current Holdback Amount | scsched | ScschCurrHldbkAmt | The retention amount is currently withheld for this SOV line item. | number | 18 | 100 | No | | Current Holdback Release | scsched | ScschCurrHldbkRlsAmt | Amount of holdback released in the current period for this SOV line item. | number | 18 | 0 | No | | Fully Purchased Flag | scsched | ScschFullyPurchasedFlag | Indicates whether the SOV line item is fully purchased (Y) or not (N). | string | 1 | “Y” / “N” | No | | Holdback Percentage | scsched | ScschHldbkPct | Specifies the retention percentage applied to this SOV line item. | number | 6 | 10 | No | | Create Date | scsched | ScschIuCreateDate | The date and time when the SOV line item was initially created in CMiC. | datetime | | 2024-12-30T09:40:37-05:00 | No | | Update Date | scsched | ScschIuUpdateDate | The date and time when the SOV line item was last updated in CMiC. | datetime | | 2024-12-30T09:40:43-05:00 | No | | Job Billing Code | scsched | ScschJbBillCode | Used for billing references related to the job, facilitating accurate billing processes. | string | 50 | JBILL01 | No | | Job Contract Code | scsched | ScschJbContCode | Links the SOV line item to a specific job contract record within CMiC, if applicable. | string | 10 | JCONT01 | No | | Line Changed Flag | scsched | ScschLineChangedFlag | Indicates whether the SOV line item has been modified after its initial creation (Y/N). | string | 1 | “Y” / “N” | No | | Line Number | scsched | ScschLineNum | Provides a numeric sequence or reference number for the SOV line item within the subcontract. | integer | 3 | 10 | No | | Long Description | scsched | ScschLongDesc | User-text field, if the SOV line requires further description, enter it here. | string | 4000 | Installation of lighting fixtures | No | | Last Amount | scsched | ScschLstAmt | Indicates the previous or last recorded amount for this SOV line item, useful for tracking changes over time. | number | 18 | 1000 | No | | Oracle Sequence | scsched | ScschOraseq | An Oracle-based sequence number used for internal referencing within CMiC’s database system. Used for requesting payments via AP Vouchers (RFPs) for SOV. | number | | 58797757 | No | | Order Number | scsched | ScschOrderNum | Represents the display or sequence order of the SOV line item within the subcontract. | number | | 1 | No | | Previous Certified Amount | scsched | ScschPrevCertAmt | Reflects the amount previously certified for this SOV line item, aiding in financial tracking. | number | 18 | 500 | No | | Previous Certified Quantity | scsched | ScschPrevCertQty | Shows the quantity previously certified for this SOV line item, assisting in progress tracking. | number | 16 | 50 | No | | Previous Holdback Amount | scsched | ScschPrevHldbkAmt | Represents the retention amount previously withheld for this SOV line item. | number | 18 | 50 | No | | Previous Holdback Release | scsched | ScschPrevHldbkRlsAmt | Indicates the amount of holdback released previously for this SOV line item. | number | 18 | 0 | No | | SI Line Number | scsched | ScschSiLineNum | References the specific Subcontract Item (SI) detail line number associated with this SOV line. | integer | 3 | 5 | No | | SI Number | scsched | ScschSiNum | Represents the Subcontract Item reference number linked to this SOV line item, facilitating detailed subcontract tracking. | integer | 5 | 102 | No | | SI Revision Number | scsched | ScschSiRevisNum | Indicates the revision number for changes made to the Subcontract Item associated with this SOV line item. | integer | 3 | 2 | No | | Subcontract Code | scsched | ScschSubcontrCode | Used for alternate or secondary referencing of the subcontract. Commonly set to "NONE" if not applicable. | string | 20 | NONE | No | | Task Description | scsched | ScschTaskName | Provides a readable name or description for the task or line item within the SOV, enhancing clarity and understanding. | string | 200 | SCCOTASK | No | | Tax1 Code | scsched | ScschTax1Code | Specifies the first applicable tax code for the SOV line item, facilitating accurate tax calculations and reporting. Each SOV line can have taxes applied. The system may have defaulted values from either the job or the vendor into these fields if the ‘Default Taxes’ checkbox is checked in the General tab of this screen. These are defaults and can be changed on a line-by-line basis. There is a maximum of five unique tax codes per contract. | string | 10 | 01 | No | | Tax1 Taxable Flag | scsched | ScschTax1TaxableFlag | Indicates whether the first tax code is applicable to this SOV line item (Y/N). | string | 1 | “Y” / “N” | No | | Tax2 Code | scsched | ScschTax2Code | Specifies the second applicable tax code for the SOV line item. | string | 10 | 02 | No | | Tax2 Taxable Flag | scsched | ScschTax2TaxableFlag | Indicates whether the second tax code is applicable to this SOV line item (Y/N). | string | 1 | “Y” / “N” | No | | Tax3 Code | scsched | ScschTax3Code | Specifies the third applicable tax code for the SOV line item. | string | 10 | 03 | No | | Tax3 Taxable Flag | scsched | ScschTax3TaxableFlag | Indicates whether the third tax code is applicable to this SOV line item (Y/N). | string | 1 | “Y” / “N” | No | | Tender Package Line Number | scsched | ScschTendpackLineNum | References the line number from an external tender package, if applicable. | integer | 3 | 12 | No | | Units | scsched | ScschUnit | Represents the total quantity of units for this SOV line item. | number | 16 | 300.45 | No | | Unit Rate | scsched | ScschUnitRate | Either enter the amount of the SOV line or the unit and rate, from which the amount can be calculated. | number | 19 | 16.89 | No | | WBS (Work Breakdown Structure) Value Code 1 | scsched | ScschWbsvCode1 | The Work Breakdown Structure (WBS) codes provide a supplementary method to effectively track and summarize costs on a transaction-to-transaction basis beyond the cost structure of job, cost code category native to CMiC. Enter any WBS codes and values in these fields. These can be created in the [WBS Codes](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/CMiC_Field/Reference/File_Maintenance/Local_Tables/WBS_Codes.htm) and [WBS Values](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/CMiC_Field/Reference/File_Maintenance/Local_Tables/WBS_Values.htm) screens. | string | 60 | WBS001 | No | | WBS (Work Breakdown Structure) Value Code 2 | scsched | ScschWbsvCode2 | The Work Breakdown Structure (WBS) codes provide a supplementary method to effectively track and summarize costs on a transaction-to-transaction basis beyond the cost structure of job, cost code category native to CMiC. Enter any WBS codes and values in these fields. These can be created in the [WBS Codes](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/CMiC_Field/Reference/File_Maintenance/Local_Tables/WBS_Codes.htm) and [WBS Values](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/CMiC_Field/Reference/File_Maintenance/Local_Tables/WBS_Values.htm) screens. | string | 60 | WBS002 | No | | WBS (Work Breakdown Structure) Value Code 3 | scsched | ScschWbsvCode3 | The Work Breakdown Structure (WBS) codes provide a supplementary method to effectively track and summarize costs on a transaction-to-transaction basis beyond the cost structure of job, cost code category native to CMiC. Enter any WBS codes and values in these fields. These can be created in the [WBS Codes](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/CMiC_Field/Reference/File_Maintenance/Local_Tables/WBS_Codes.htm) and [WBS Values](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/CMiC_Field/Reference/File_Maintenance/Local_Tables/WBS_Values.htm) screens. | string | 60 | WBS003 | No | | WBS (Work Breakdown Structure) Value Code 4 | scsched | ScschWbsvCode4 | The Work Breakdown Structure (WBS) codes provide a supplementary method to effectively track and summarize costs on a transaction-to-transaction basis beyond the cost structure of job, cost code category native to CMiC. Enter any WBS codes and values in these fields. These can be created in the [WBS Codes](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/CMiC_Field/Reference/File_Maintenance/Local_Tables/WBS_Codes.htm) and [WBS Values](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/CMiC_Field/Reference/File_Maintenance/Local_Tables/WBS_Values.htm) screens. | string | 60 | WBS004 | No | | Unique Sequence By SC | scsched | ScschSeqNumUniqueBySc | Ensures each SOV line item is uniquely identified within the subcontract to prevent duplication. | number | | 1 | No | | Date/Time Posted | scsched | ScschDateTimePost | Indicates when the SOV line item was posted to the system, marking it as active and visible within CMiC. | datetime | | 2024-12-30T09:40:43-05:00 | No | | UUID | scsched | ScschVUuid | A unique identifier ensuring each SOV line item is distinctly recognized within CMiC. In a post request, leave this line empty. | string | 64 | 2A7ECBB332A21A20E06327261DAC0767 | No | | Previous Material Stored Amount | scsched | ScschPrevMatStoredAmt | Previous Material Amount on the current RFP. | number | 18 | 200 | | | Current Material Stored Amount | scsched | ScschCurrMatStoredAmt | Material Stored Amount on the current RFP | number | 18 | 800 | | | Previous Deposit Percentage | scsched | ScschPrevDepositPct | Previous Deposit percentage | BigDecimal | 6 | Read only field | No | | Previous Deposit Amount | scsched | ScschPrevDepositAmt | Previous Deposit Amount | BigDecimal | 18 | Read only field | No | | Current Deposit Percentange | scsched | ScschCurrDepositPct | Current Deposit Percentange | BigDecimal | 6 | Read only field | No | | Current Deposit Amount | scsched | ScschCurrDepositAmt | Current Deposit Amount | BigDecimal | 18 | Read only field | No | | Contract Deposit Percentange | scsched | ScschContDepositPct | Contract Deposit Percentange | BigDecimal | 6 | Read only field | No | | Contract Deposit Amount | scsched | ScschContDepositAmt | Contract Deposit Amount | BigDecimal | 18 | Read only field | No | ## OpenAPI ````json POST /pm-rest-api/rest/1/scsched { "openapi": "3.0.0", "info": { "title": "API Catalog", "description": "", "version": "1.0.0" }, "servers": [ { "url": "https://mobtest.cmiccloudr12.com/cmictestrti", "description": "CMIC API Server" } ], "security": [ { "cmicBasicAuth": [] } ], "tags": [ { "name": "Highlights" }, { "name": "Asset Management | Equipment" }, { "name": "Asset Management | Fixed Assets" }, { "name": "Asset Management | Purchase Order" }, { "name": "Asset Management | Inventory" }, { "name": "Asset Management | Requisition" }, { "name": "Asset Management | Purchase Change Order" }, { "name": "Bim Model" }, { "name": "Bim Model Revision" }, { "name": "Bim Tag Model" }, { "name": "Bim Tags" }, { "name": "Bim FileUpload Jersey" }, { "name": "Core System | Business Partners" }, { "name": "Core System | Business Partner Addresses" }, { "name": "Core System | Bank" }, { "name": "Core System | Currency" }, { "name": "Core System | Exchange Rates" }, { "name": "Core System | Global Table Text Codes" }, { "name": "Core System | Global Table Regions" }, { "name": "Core System | Terms" }, { "name": "Core System | System Contact" }, { "name": "Core System | Weight Measures" }, { "name": "Core System | Field User Defined Classifiers" }, { "name": "Core System | User Defined Classifiers by Object" }, { "name": "Core System | User Extension Definitions by Object" }, { "name": "Core System | User Extention Field Data Value" }, { "name": "Core System | User Extension Values by Object" }, { "name": "Core System | User System Role" }, { "name": "Core System | User Project Role" }, { "name": "Core System | Documents by Object" }, { "name": "Core System | Audit Status Log by Object" }, { "name": "Core System | Licensed Users" }, { "name": "Core System | Company Access" }, { "name": "Core System | Copy User Settings" }, { "name": "Core System | User Maintenance" }, { "name": "Core System | User Roles" }, { "name": "Core System | Security Groups" }, { "name": "Core System | Job/Project Security" }, { "name": "Core System | Weight Measure with Conversions Code" }, { "name": "Core System | Weight Measure Conversions Code" }, { "name": "Core System | User-defined-fields" }, { "name": "Core System | User-extension" }, { "name": "ECM and Workflow | Image Manager" }, { "name": "Financials | General Ledger" }, { "name": "Financials | Accounts Payable" }, { "name": "Financials | Accounts Receivable" }, { "name": "Preventative Maintenance | Issue Work Orders" }, { "name": "Preventative Maintenance | Issue Work Items" }, { "name": "Preventative Maintenance | Issue Work Budgets" }, { "name": "Preventative Maintenance | Issue Priorities" }, { "name": "Preventative Maintenance | Issue Status" }, { "name": "Preventative Maintenance | Issue Types" }, { "name": "Preventative Maintenance | Accumulative Equipment" }, { "name": "Preventative Maintenance | Work Orders" }, { "name": "Preventative Maintenance | Work Items" }, { "name": "Preventative Maintenance | Work Budgets" }, { "name": "Preventative Maintenance | Priorities" }, { "name": "Preventative Maintenance | Tasks" }, { "name": "HCM | UKG Pay Deductions" }, { "name": "HCM | UKG Pay Earnings" }, { "name": "HCM | UKG Pay Headers" }, { "name": "HCM | UKG Pay Taxes" }, { "name": "HCM | Payroll Geographical States" }, { "name": "HCM | Payroll Trades" }, { "name": "HCM | Payroll Union" }, { "name": "HCM | Payroll Pay Runs" }, { "name": "HCM | Payroll Pay Groups" }, { "name": "HCM | Payroll Tax" }, { "name": "HCM | Payroll Worker Compensation" }, { "name": "HCM | Payroll Work Locations" }, { "name": "HCM | Payroll Trade Pay Rates" }, { "name": "HCM | Payroll Union Pay Rates" }, { "name": "HCM | Payroll Job Pay Rates" }, { "name": "HCM | Payroll Master Benefits" }, { "name": "HCM | Payroll Master Deductions" }, { "name": "HCM | Payroll Ben/Ded/Leave Base Codes" }, { "name": "HCM | Payroll Ben/Ded Plans" }, { "name": "HCM | Payroll Ben/Ded Plan Options" }, { "name": "HCM | Payroll Company Benefits" }, { "name": "HCM | Payroll Company Deductions" }, { "name": "HCM | Payroll Vertex Geographic Locations" }, { "name": "HCM | Payroll Checks" }, { "name": "HCM | Payroll Timesheets" }, { "name": "HCM | Employee" }, { "name": "HCM | Employee (Minimum payload)" }, { "name": "HCM | Employee History" }, { "name": "HCM | Tax Exemptions" }, { "name": "HCM | Employee Tax Overrides" }, { "name": "HCM | Employee Pay Splits" }, { "name": "HCM | Employee Benefits" }, { "name": "HCM | Employee Clock In and Out" }, { "name": "HCM | Employee Deductions" }, { "name": "HCM | Employee Leaves" }, { "name": "HCM | Employee Leave History" }, { "name": "HCM | Employee Hour Types" }, { "name": "HCM | Employee Pay History" }, { "name": "HCM | Employee Work Statuses" }, { "name": "HCM | Employee Security Group" }, { "name": "HCM | Crewtime Crew" }, { "name": "HCM | Crewtime Employee Timesheet" }, { "name": "HCM | Crewtime Equipment Timesheet" }, { "name": "HCM | Crew Maintenance Activity Assignment" }, { "name": "HCM | Crew Maintenance Member Assignment" }, { "name": "HCM | Crew Maintenance Member Trade and Union Assignment" }, { "name": "HCM | Crew Maintenance Equipment Assignment" }, { "name": "HCM | Crew Maintenance Equipment Detail Assignment" }, { "name": "HCM | HR Requisitions" }, { "name": "HCM | HR Relations" }, { "name": "HCM | HR Employee Skills" }, { "name": "HCM | HR Incident" }, { "name": "HCM | HR Employee Relatives / Dependents" }, { "name": "HCM | HR Employee Positions" }, { "name": "HCM | HR Applicants" }, { "name": "HCM | HR Applications" }, { "name": "HCM | Vertex Location City" }, { "name": "HCM | HR Application History" }, { "name": "HCM | HR Dependent Benefits" }, { "name": "HCM | HR Dependent Deductions" }, { "name": "HCM | HR Employee Elected Plans" }, { "name": "HCM | HR Employee Training Certifications" }, { "name": "HCM | HR Trainings" }, { "name": "HCM | E-Timesheets" }, { "name": "HCM | System Contacts" }, { "name": "HCM | System User Payroll Security Group" }, { "name": "HCM | Payroll Timesheet Posting" }, { "name": "HCM | CrewTimesheet Posting" }, { "name": "HCM | HR Positions Master" }, { "name": "HCM | Payroll Pay Periods" }, { "name": "HCM | Payroll Rate Codes" }, { "name": "HCM | Payroll Overhead Codes and Rates" }, { "name": "HCM | Payroll Assigned Overhead to Jobs" }, { "name": "Materials Management | Material Sale Orders" }, { "name": "Materials Management | Material Sale Orders Details" }, { "name": "Materials Management | Truck Rate Detail" }, { "name": "Opportunity Management | Competitors" }, { "name": "Opportunity Management | Opportunities" }, { "name": "Opportunity Management | Revenue Details" }, { "name": "Opportunity Management | Opportunity History" }, { "name": "Opportunity Management | Organization" }, { "name": "Project Controls | Job Billing" }, { "name": "Project Controls | Job Cost" }, { "name": "Project Controls | PCI Details" }, { "name": "Project Controls | Unposted PCI Details" }, { "name": "Project Controls | PCI Headers" }, { "name": "Project Controls | Owner Change Orders" }, { "name": "Project Controls | CM Statuses" }, { "name": "Project Controls | CM Types" }, { "name": "Project Controls | CM Vendor Details" }, { "name": "Project Controls | Post PCI" }, { "name": "Project Management | Uploading Documents" }, { "name": "Project Management | Downloading Documents" }, { "name": "Project Management | Foreign Bid Item Imports" }, { "name": "Project Management | Communications" }, { "name": "Project Management | Daily Journals" }, { "name": "Project Management | Communications Types" }, { "name": "Project Management | Daily Journal Daily Work Plans" }, { "name": "Project Management | Daily Journal Field Forces" }, { "name": "Project Management | Daily Journal Labour" }, { "name": "Project Management | Daily Journal Materials" }, { "name": "Project Management | Daily Journal Owner Equipment" }, { "name": "Project Management | Daily Journal Quality Control" }, { "name": "Project Management | Daily Journal Tasks" }, { "name": "Project Management | Daily Journal Trade Equipment" }, { "name": "Project Management | Daily Journal Transactions" }, { "name": "Project Management | Daily Journal User Defined Data" }, { "name": "Project Management | Daily Journal Visitors" }, { "name": "Project Management | Daily Journal Bill Details" }, { "name": "Project Management | Field Work Directives" }, { "name": "Project Management | Contract Types" }, { "name": "Project Management | Company Contacts" }, { "name": "Project Management | Distribution BCC" }, { "name": "Project Management | Distribution CC" }, { "name": "Project Management | Field Work Directive Statuses" }, { "name": "Project Management | Issues" }, { "name": "Project Management | Key Players" }, { "name": "Project Management | Meetings" }, { "name": "Project Management | Meeting Attendees" }, { "name": "Project Management | Meeting Item Statuses" }, { "name": "Project Management | Meeting Tracks" }, { "name": "Project Management | Notes" }, { "name": "Project Management | Projects" }, { "name": "Project Management | Project Items" }, { "name": "Project Management | Project Item Phase Segment Sums" }, { "name": "Project Management | Project Partners" }, { "name": "Project Management | Notices" }, { "name": "Project Management | Notice Statuses" }, { "name": "Project Management | Owner JS Query" }, { "name": "Project Management | PCI Real Locations" }, { "name": "Project Management | Project Contacts" }, { "name": "Project Management | RFIs (Requests for Information)" }, { "name": "Project Management | RFI Statuses" }, { "name": "Project Management | Submittal Packages" }, { "name": "Project Management | Submittal Package Details" }, { "name": "Project Management | Submittal Package Status" }, { "name": "Project Management | Submittals" }, { "name": "Project Management | Submittal Status" }, { "name": "Project Management | Transmittals" }, { "name": "Project Management | Subcontract Headers" }, { "name": "Project Management | Subcontract Schedules" }, { "name": "Project Management | Subcontract Sechedule Phase Segment Sums" }, { "name": "Project Management | User Roles" }, { "name": "Project Management | Punchlists" }, { "name": "Project Management | Punchlist Details" }, { "name": "Project Management | Punchlist Statuses" }, { "name": "Project Management | Meeting Items" }, { "name": "Project Management | Self Perform Vendor" }, { "name": "Project Management | Submittal Types" }, { "name": "Project Management | Assign contact and partner to project" }, { "name": "Project Management | Subcontract Prequal" }, { "name": "Project Management | Bid Item Package" } ], "paths": { "/pm-rest-api/rest/1/scsched": { "post": { "tags": [ "Project Management | Subcontract Schedules" ], "summary": "Create an SC Detail", "description": "## Overview\n\nThis endpoint is utilized to create and manage the Schedule of Values (SOVs) for Subcontracts within CMiC. The SOVs define the total financial value of a subcontract broken down by specific tasks or line items.\n\n## Notes\n\nThis functionality integrates with the Request for Payment (RFP), Subcontract Management and Release of Retainage features. For example, the Request for Payment interface enables users to generate Vouchers against these SOVs, directly linking financial management to subcontract payment management.\n\n## UI Navigation\n\nSubcontract Management > Contracts > Enter Subcontract/Change Order\n\n## Reference Article\n\n[https://docs.cmicglobal.com/portal/Content/E_Reference_Material/CMiC_Field/Reference/Budget___Cost_Management/Subcontract_Schedule_of_Values.htm](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/CMiC_Field/Reference/Budget___Cost_Management/Subcontract_Schedule_of_Values.htm)\n\n[https://docs.cmicglobal.com/portal/Content/E_Reference_Material/SC_-_Subcontract_Management/Reference/Contracts/SOV_Tab.htm](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/SC_-_Subcontract_Management/Reference/Contracts/SOV_Tab.htm)\n\n## Commonly Used Body Parameters\n\n| CMiC UI Fieldname | Object | Name | Description | Type | Data Length | Example | Required |\n| --- | --- | --- | --- | --- | --- | --- | --- |\n| Cat. - Category Code | scsched | ScschCatCode | Enter the category code for the cost element being entered in this line. The category entered must have been previously set up in the Job Costing application and associated with the cost code entered in the Cost Code field. | string | 16 | S | Yes |\n| Change Code | scsched | ScschChgCode | Indicates whether the line item is part of a subcontract change order. Must match SCMST_CHG_CODE | string | 6 | 000 | Yes |\n| Company Code | scsched | ScschCompCode | Identifies the internal company responsible for managing the subcontrac. Must be a valid CMiC Company. | string | 8 | ZZ | Yes |\n| Contract Code | scsched | ScschContCode | Associates the SOV line to a specific subcontract or subcontract change order within CMiC. Must match SCMST_CONT_CODE. | string | 20 | 03202023009 | Yes |\n| Job Code | scsched | ScschJobCode | This is the specific Job Code that the subcontract line applies to. Must be either the SCMST_JOB_CODE or a sub-job | string | 10 | ADFJOB01 | Yes |\n| Task Code | scsched | ScschTaskCode | A user defined alphanumeric identifier. Enter the task code associated with Schedule of Values line item. | string | 16 | TASK1 | Yes |\n| Vendor Code | scsched | ScschVenCode | Represents the subcontractor vendor associated with the SOV line item. Must match SCMST_VEN_CODE. | string | 8 | JEWELS | Yes |\n| Subcontract Item Master Job Code | scsched | ScschSiMastJobCode | References the job code for subcontract items, if applicable. Must be either the SCMST_JOB_CODE or a sub-job | string | 10 | BALMORAL01 | No |\n| Phase Code | scsched | ScschPhsCode | Associates the SOV line with a specific cost code (phase) of the job or project. Must be a valid segment for the job structure. | string | 16 | 0110 | No |\n| Weight Measure (W/M) Code | scsched | ScschWmCode | Specifies the weight measure for the amount of the SOV line. For example, cubic yards, dollars, or hours. Weight Measure, must be previously defined in CmiC. | string | 2 | | No |\n| Amount | scsched | ScschAmt | Represents the dollar value to date of the contract line. Enter the amount to complete the task (before VAT taxes). The total Subcontract amount will be the total amounts entered for each task. | number | 18 | 5074.6 | No |\n\n## Other (Optional) Body Parameters\n\n| CMiC UI Fieldname | Object | Name | Description | Type | Data Length | Example | Required |\n| --- | --- | --- | --- | --- | --- | --- | --- |\n| Expense Code (Prepaid Insurance) | scsched | ScschApexpCode | If the Prepaid Insurance/Expense feature is being used and this subcontract has prepaid insurance, then enter/select the expense code from the LOV. If entering an expense code, make sure that the Ret% (Retainage Percentage) field is set to zero, as prepaid insurance cannot have retainage applied to it.

For details about the Prepaid Insurance/Expense feature, please refer to [Prepaid Insurance (Contractor Controlled Insurance Program)](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/SC_-_Subcontract_Management/Reference/Setup/Prepaid_Insurance_Contractor.htm). | string | 10 | AP001 | No |\n| JB Bill Code | scsched | ScschBillCode | Used for Job Billing or referencing specific bill item related to the SOV line. For details about the functionality for which this field is relevant, please refer to [Create Separate Invoices for Each Customer on Single JB Contract](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/JB_-_Job_Billing/How_To/Create_Separate_Invoices_for.htm) and [Allow SC Request For Payment Creation From Billing Invoice](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/JB_-_Job_Billing/How_To/JB_Allow_SC_RFP_Creation_From_Billing_Invoice.htm). | string | 50 | BILL01 | No |\n| Completed Amount | scsched | ScschComplAmt | Indicates the total amount certified or completed to date for this SOV line item. | number | 18 | 1000 | No |\n| Completed Percentage | scsched | ScschComplPct | Shows the percentage of work completed for this SOV line item. | number | 7 | 0.1 | No |\n| Completed Quantity | scsched | ScschComplQty | Represents the quantity of work completed to date for this SOV line item. | number | 16 | 100 | No |\n| Current Holdback Amount | scsched | ScschCurrHldbkAmt | The retention amount is currently withheld for this SOV line item. | number | 18 | 100 | No |\n| Current Holdback Release | scsched | ScschCurrHldbkRlsAmt | Amount of holdback released in the current period for this SOV line item. | number | 18 | 0 | No |\n| Fully Purchased Flag | scsched | ScschFullyPurchasedFlag | Indicates whether the SOV line item is fully purchased (Y) or not (N). | string | 1 | “Y” / “N” | No |\n| Holdback Percentage | scsched | ScschHldbkPct | Specifies the retention percentage applied to this SOV line item. | number | 6 | 10 | No |\n| Create Date | scsched | ScschIuCreateDate | The date and time when the SOV line item was initially created in CMiC. | datetime | | 2024-12-30T09:40:37-05:00 | No |\n| Update Date | scsched | ScschIuUpdateDate | The date and time when the SOV line item was last updated in CMiC. | datetime | | 2024-12-30T09:40:43-05:00 | No |\n| Job Billing Code | scsched | ScschJbBillCode | Used for billing references related to the job, facilitating accurate billing processes. | string | 50 | JBILL01 | No |\n| Job Contract Code | scsched | ScschJbContCode | Links the SOV line item to a specific job contract record within CMiC, if applicable. | string | 10 | JCONT01 | No |\n| Line Changed Flag | scsched | ScschLineChangedFlag | Indicates whether the SOV line item has been modified after its initial creation (Y/N). | string | 1 | “Y” / “N” | No |\n| Line Number | scsched | ScschLineNum | Provides a numeric sequence or reference number for the SOV line item within the subcontract. | integer | 3 | 10 | No |\n| Long Description | scsched | ScschLongDesc | User-text field, if the SOV line requires further description, enter it here. | string | 4000 | Installation of lighting fixtures | No |\n| Last Amount | scsched | ScschLstAmt | Indicates the previous or last recorded amount for this SOV line item, useful for tracking changes over time. | number | 18 | 1000 | No |\n| Oracle Sequence | scsched | ScschOraseq | An Oracle-based sequence number used for internal referencing within CMiC’s database system. Used for requesting payments via AP Vouchers (RFPs) for SOV. | number | | 58797757 | No |\n| Order Number | scsched | ScschOrderNum | Represents the display or sequence order of the SOV line item within the subcontract. | number | | 1 | No |\n| Previous Certified Amount | scsched | ScschPrevCertAmt | Reflects the amount previously certified for this SOV line item, aiding in financial tracking. | number | 18 | 500 | No |\n| Previous Certified Quantity | scsched | ScschPrevCertQty | Shows the quantity previously certified for this SOV line item, assisting in progress tracking. | number | 16 | 50 | No |\n| Previous Holdback Amount | scsched | ScschPrevHldbkAmt | Represents the retention amount previously withheld for this SOV line item. | number | 18 | 50 | No |\n| Previous Holdback Release | scsched | ScschPrevHldbkRlsAmt | Indicates the amount of holdback released previously for this SOV line item. | number | 18 | 0 | No |\n| SI Line Number | scsched | ScschSiLineNum | References the specific Subcontract Item (SI) detail line number associated with this SOV line. | integer | 3 | 5 | No |\n| SI Number | scsched | ScschSiNum | Represents the Subcontract Item reference number linked to this SOV line item, facilitating detailed subcontract tracking. | integer | 5 | 102 | No |\n| SI Revision Number | scsched | ScschSiRevisNum | Indicates the revision number for changes made to the Subcontract Item associated with this SOV line item. | integer | 3 | 2 | No |\n| Subcontract Code | scsched | ScschSubcontrCode | Used for alternate or secondary referencing of the subcontract. Commonly set to \"NONE\" if not applicable. | string | 20 | NONE | No |\n| Task Description | scsched | ScschTaskName | Provides a readable name or description for the task or line item within the SOV, enhancing clarity and understanding. | string | 200 | SCCOTASK | No |\n| Tax1 Code | scsched | ScschTax1Code | Specifies the first applicable tax code for the SOV line item, facilitating accurate tax calculations and reporting. Each SOV line can have taxes applied. The system may have defaulted values from either the job or the vendor into these fields if the ‘Default Taxes’ checkbox is checked in the General tab of this screen. These are defaults and can be changed on a line-by-line basis. There is a maximum of five unique tax codes per contract. | string | 10 | 01 | No |\n| Tax1 Taxable Flag | scsched | ScschTax1TaxableFlag | Indicates whether the first tax code is applicable to this SOV line item (Y/N). | string | 1 | “Y” / “N” | No |\n| Tax2 Code | scsched | ScschTax2Code | Specifies the second applicable tax code for the SOV line item. | string | 10 | 02 | No |\n| Tax2 Taxable Flag | scsched | ScschTax2TaxableFlag | Indicates whether the second tax code is applicable to this SOV line item (Y/N). | string | 1 | “Y” / “N” | No |\n| Tax3 Code | scsched | ScschTax3Code | Specifies the third applicable tax code for the SOV line item. | string | 10 | 03 | No |\n| Tax3 Taxable Flag | scsched | ScschTax3TaxableFlag | Indicates whether the third tax code is applicable to this SOV line item (Y/N). | string | 1 | “Y” / “N” | No |\n| Tender Package Line Number | scsched | ScschTendpackLineNum | References the line number from an external tender package, if applicable. | integer | 3 | 12 | No |\n| Units | scsched | ScschUnit | Represents the total quantity of units for this SOV line item. | number | 16 | 300.45 | No |\n| Unit Rate | scsched | ScschUnitRate | Either enter the amount of the SOV line or the unit and rate, from which the amount can be calculated. | number | 19 | 16.89 | No |\n| WBS (Work Breakdown Structure) Value Code 1 | scsched | ScschWbsvCode1 | The Work Breakdown Structure (WBS) codes provide a supplementary method to effectively track and summarize costs on a transaction-to-transaction basis beyond the cost structure of job, cost code category native to CMiC. Enter any WBS codes and values in these fields. These can be created in the [WBS Codes](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/CMiC_Field/Reference/File_Maintenance/Local_Tables/WBS_Codes.htm) and [WBS Values](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/CMiC_Field/Reference/File_Maintenance/Local_Tables/WBS_Values.htm) screens. | string | 60 | WBS001 | No |\n| WBS (Work Breakdown Structure) Value Code 2 | scsched | ScschWbsvCode2 | The Work Breakdown Structure (WBS) codes provide a supplementary method to effectively track and summarize costs on a transaction-to-transaction basis beyond the cost structure of job, cost code category native to CMiC. Enter any WBS codes and values in these fields. These can be created in the [WBS Codes](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/CMiC_Field/Reference/File_Maintenance/Local_Tables/WBS_Codes.htm) and [WBS Values](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/CMiC_Field/Reference/File_Maintenance/Local_Tables/WBS_Values.htm) screens. | string | 60 | WBS002 | No |\n| WBS (Work Breakdown Structure) Value Code 3 | scsched | ScschWbsvCode3 | The Work Breakdown Structure (WBS) codes provide a supplementary method to effectively track and summarize costs on a transaction-to-transaction basis beyond the cost structure of job, cost code category native to CMiC. Enter any WBS codes and values in these fields. These can be created in the [WBS Codes](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/CMiC_Field/Reference/File_Maintenance/Local_Tables/WBS_Codes.htm) and [WBS Values](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/CMiC_Field/Reference/File_Maintenance/Local_Tables/WBS_Values.htm) screens. | string | 60 | WBS003 | No |\n| WBS (Work Breakdown Structure) Value Code 4 | scsched | ScschWbsvCode4 | The Work Breakdown Structure (WBS) codes provide a supplementary method to effectively track and summarize costs on a transaction-to-transaction basis beyond the cost structure of job, cost code category native to CMiC. Enter any WBS codes and values in these fields. These can be created in the [WBS Codes](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/CMiC_Field/Reference/File_Maintenance/Local_Tables/WBS_Codes.htm) and [WBS Values](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/CMiC_Field/Reference/File_Maintenance/Local_Tables/WBS_Values.htm) screens. | string | 60 | WBS004 | No |\n| Unique Sequence By SC | scsched | ScschSeqNumUniqueBySc | Ensures each SOV line item is uniquely identified within the subcontract to prevent duplication. | number | | 1 | No |\n| Date/Time Posted | scsched | ScschDateTimePost | Indicates when the SOV line item was posted to the system, marking it as active and visible within CMiC. | datetime | | 2024-12-30T09:40:43-05:00 | No |\n| UUID | scsched | ScschVUuid | A unique identifier ensuring each SOV line item is distinctly recognized within CMiC. In a post request, leave this line empty. | string | 64 | 2A7ECBB332A21A20E06327261DAC0767 | No |\n| Previous Material Stored Amount | scsched | ScschPrevMatStoredAmt | Previous Material Amount on the current RFP. | number | 18 | 200 | |\n| Current Material Stored Amount | scsched | ScschCurrMatStoredAmt | Material Stored Amount on the current RFP | number | 18 | 800 | |\n| Previous Deposit Percentage | scsched | ScschPrevDepositPct | Previous Deposit percentage | BigDecimal | 6 | Read only field | No |\n| Previous Deposit Amount | scsched | ScschPrevDepositAmt | Previous Deposit Amount | BigDecimal | 18 | Read only field | No |\n| Current Deposit Percentange | scsched | ScschCurrDepositPct | Current Deposit Percentange | BigDecimal | 6 | Read only field | No |\n| Current Deposit Amount | scsched | ScschCurrDepositAmt | Current Deposit Amount | BigDecimal | 18 | Read only field | No |\n| Contract Deposit Percentange | scsched | ScschContDepositPct | Contract Deposit Percentange | BigDecimal | 6 | Read only field | No |\n| Contract Deposit Amount | scsched | ScschContDepositAmt | Contract Deposit Amount | BigDecimal | 18 | Read only field | No |", "requestBody": { "content": { "application/json": { "schema": { "type": "object", "example": { "ScschCompCode": "001", "ScschJobCode": "15-001", "ScschVenCode": "10TILE", "ScschContCode": "15-001.001", "ScschChgCode": "001", "ScschTaskCode": "1", "ScschPhsCode": "99999", "ScschCatCode": "S", "ScschWmCode": "$", "ScschAmt": 10, "ScschVUuid": "" } } } } }, "parameters": [ { "name": "Content-Type", "in": "header", "schema": { "type": "string" }, "example": "application/vnd.oracle.adf.resourceitem+json" } ], "responses": { "201": { "description": "Created", "headers": { "Content-Type": { "schema": { "type": "string", "example": "application/json" } } }, "content": { "application/json": { "schema": { "type": "object" }, "example": { "ScschAmt": 60, "ScschApexpCode": null, "ScschBillCode": null, "ScschCatCode": "2000", "ScschChgCode": "000", "ScschCompCode": "ZZ", "ScschComplAmt": 10, "ScschComplPct": 16.667, "ScschComplQty": 0.33333333, "ScschContCode": "VAITESTR", "ScschCurrHldbkAmt": 0, "ScschCurrHldbkRlsAmt": 0, "ScschFullyPurchasedFlag": "N", "ScschHldbkPct": 10, "ScschIuCreateDate": "2025-03-04T20:05:39+00:00", "ScschIuUpdateDate": "2025-03-04T20:16:47+00:00", "ScschJbBillCode": null, "ScschJbContCode": null, "ScschJobCode": "VAI", "ScschLineChangedFlag": null, "ScschLineNum": null, "ScschLongDesc": null, "ScschLstAmt": 0, "ScschOraseq": 2147491498, "ScschOrderNum": 1, "ScschPhsCode": "00", "ScschPrevCertAmt": 10, "ScschPrevCertQty": 0.33333333, "ScschPrevHldbkAmt": 0, "ScschPrevHldbkRlsAmt": 0, "ScschSiLineNum": null, "ScschSiMastJobCode": null, "ScschSiNum": null, "ScschSiRevisNum": null, "ScschSubcontrCode": "NONE", "ScschTaskCode": "1", "ScschTaskName": "1", "ScschTax1Code": null, "ScschTax1TaxableFlag": "Y", "ScschTax2Code": null, "ScschTax2TaxableFlag": "Y", "ScschTax3Code": null, "ScschTax3TaxableFlag": "Y", "ScschTax4Code": null, "ScschTax4TaxableFlag": "Y", "ScschTax5Code": null, "ScschTax5TaxableFlag": "Y", "ScschTendpackLineNum": null, "ScschUnit": 2, "ScschUnitRate": 30, "ScschVenCode": "1-URBAN", "ScschWbsvCode1": null, "ScschWbsvCode2": null, "ScschWbsvCode3": null, "ScschWbsvCode4": null, "ScschWmCode": "NA", "ScschVUuid": "2F8ACB679B60988EE0630B811DAC4078", "ScschSeqNumUniqueBySc": 1, "ScschDateTimePost": "2025-03-04T20:05:42+00:00", "ScschPrevMatStoredAmt": 5, "ScschCurrMatStoredAmt": 0, "links": [ { "rel": "self", "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/pm-rest-api/rest/1/scsched/2F8ACB679B60988EE0630B811DAC4078", "name": "scsched", "kind": "item" }, { "rel": "canonical", "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/pm-rest-api/rest/1/scsched/2F8ACB679B60988EE0630B811DAC4078", "name": "scsched", "kind": "item" } ] } } } } } } } }, "components": { "securitySchemes": { "cmicBasicAuth": { "type": "http", "scheme": "basic", "description": "Basic authentication" } } } } ````